List a brand's storefront destinations
curl --request GET \
--url https://api.archeraffiliates.com/storefront_links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.archeraffiliates.com/storefront_links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.archeraffiliates.com/storefront_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.archeraffiliates.com/storefront_links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.archeraffiliates.com/storefront_links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.archeraffiliates.com/storefront_links")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.archeraffiliates.com/storefront_links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"brand_id": "<string>",
"brand_name": "<string>",
"storefront_enabled": true,
"total_count": 123,
"fetched_count": 123,
"skip": 123,
"limit": 123,
"storefront_links": [
{
"store_page_id": "<string>",
"brand_id": "<string>",
"brand_name": "<string>",
"store_name": "<string>",
"page_name": "<string>",
"page_url": "<string>",
"marketplace": "<string>",
"is_homepage": true,
"total_asins": 123,
"live_asins": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Storefront Links
List a brand's storefront destinations
Returns the active Amazon Store pages that can be promoted for one brand. Identify the brand with either brand_id or its exact brand_name. If an active homepage is available, it is the first returned page. Pass both a returned row’s brand_id and store_page_id to POST /generate_attribution_link.
GET
/
storefront_links
List a brand's storefront destinations
curl --request GET \
--url https://api.archeraffiliates.com/storefront_links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.archeraffiliates.com/storefront_links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.archeraffiliates.com/storefront_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.archeraffiliates.com/storefront_links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.archeraffiliates.com/storefront_links"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.archeraffiliates.com/storefront_links")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.archeraffiliates.com/storefront_links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"brand_id": "<string>",
"brand_name": "<string>",
"storefront_enabled": true,
"total_count": 123,
"fetched_count": 123,
"skip": 123,
"limit": 123,
"storefront_links": [
{
"store_page_id": "<string>",
"brand_id": "<string>",
"brand_name": "<string>",
"store_name": "<string>",
"page_name": "<string>",
"page_url": "<string>",
"marketplace": "<string>",
"is_homepage": true,
"total_asins": 123,
"live_asins": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Brand identifier from GET /brands.
Exact brand name, matched case-insensitively.
How many storefront pages to skip.
Required range:
x >= 0How many storefront pages to return (1-500).
Required range:
1 <= x <= 500Response
Successful Response
Storefront destinations for a selected brand.
Total matching storefront pages before pagination.
Show child attributes
Show child attributes